Subject: [sup-devel] Patch: Hookify Time#to_nice_s

From: Tero Tilus <[email-masked]>
Date: Tue, 25 Jan 2011 01:24:50 +0200

I noticed that my index-mode-date-widget hook patch (22c7a51675d8) was
not quite there.  This is what it should have been from the beginning.

This renders index-mode-date-widget hook obsolete, since
Time#to_nice_s is what index-mode defaults to when there is no hook
defined.  Unless of course you want "nice time" to be something else
on index-mode than everywhere else, which I don't think anybody wants.

Is this good as is or should I in this patch do something about the
now obsolete index-mode-date-widget hook?  Deprecate somehow?

-- 
Tero Tilus ## 050 3635 235 ## http://tero.tilus.net/
_______________________________________________
Sup-devel mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-devel